# HasImplicitReceiver

@Documented
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.TYPE)
annotation class HasImplicitReceiver

Marks a SAM interface as a target for lambda expressions / closures where the single parameter is passed as the implicit receiver of the invocation (`this` in Kotlin, `delegate` in Groovy) as if the lambda expression was an extension method of the parameter type.

        // copySpec(Action<CopySpec>)
        copySpec {
            from("./sources") // the given CopySpec is the implicit receiver
        }

Content copied to clipboard

#### Since

3.5

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String